/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JCheckBox;
import javax.swing.JTextField;
import java.awt.GridLayout;
import java.awt.Font;

public class HttpdGUI
{
    
    JPanel       panel;
    GridLayout   httpdGUILayout;
    JLabel       httpdPortLabel,httpdDocLabel,httpdTreeLabel;
    JLabel       httpdVerboseLabel;
    JTextField   httpdPortField,httpdDocField;
    JCheckBox    httpdVerboseCheckBox,httpdTreeCheckBox;
    

    public HttpdGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	httpdGUILayout = (new GridLayout(0, 2));
	httpdGUILayout.setHgap(3);
	httpdGUILayout.setVgap(3);
	panel.setLayout(httpdGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	httpdPortLabel = new JLabel(" Port :");
	httpdPortLabel.setHorizontalAlignment(JLabel.RIGHT);
	
	httpdDocLabel  = new JLabel("Top Level Web Document area:");
	httpdDocLabel.setHorizontalAlignment(JLabel.RIGHT);

	httpdTreeCheckBox = new JCheckBox("Download Files in Jars",false);
//	httpdTreeLabel.setHorizontalAlignment(JLabel.RIGHT);

	httpdVerboseCheckBox = new JCheckBox("Log downloads",false);
//	httpdVerboseLabel.setHorizontalAlignment(JLabel.RIGHT);


	httpdPortField = new JTextField("8080");
	httpdDocField  = new JTextField(StartService.rootDir +
					File.separator + "jini1_1"  + 
					File.separator + "lib");

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(httpdPortLabel);
	panel.add(httpdPortField);
	panel.add(httpdDocLabel);
	panel.add(httpdDocField);
	panel.add( new JLabel(" "));
	panel.add(httpdTreeCheckBox);
	panel.add( new JLabel(" "));
	panel.add(httpdVerboseCheckBox);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
    }//end-constructor
    
    public String getHttpdPort() {
	return httpdPortField.getText();
    }

    public String getHttpdDoc() {
	return httpdDocField.getText();
    }

    public boolean getHttpdTree() {
	return httpdTreeCheckBox.isSelected();
    }

    public boolean getHttpdVerbose() {
	return httpdVerboseCheckBox.isSelected();
    }

}//end-class





