/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JComboBox;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;

public class SpacesGUI
{
    
    JPanel     panel;
    GridLayout spacesGUILayout;
    JLabel     spacesLabel,spacesTypeLabel,spacesPersistentDirLabel;
    JTextField spacesField,spacesTypeField,spacesPersistentDirField;
    JComboBox  spacesTypeChoice;

    public SpacesGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	spacesGUILayout = (new GridLayout(0, 2));
	spacesGUILayout.setHgap(3);
	spacesGUILayout.setVgap(3);
	panel.setLayout(spacesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	spacesLabel = new JLabel("JavaSpace Name:");
	spacesLabel.setHorizontalAlignment(JLabel.RIGHT);
	

	spacesTypeLabel = new JLabel("Space Type:");
	spacesTypeLabel.setHorizontalAlignment(JLabel.RIGHT);

	spacesPersistentDirLabel = new JLabel("Location of Persistent Dir:");
	spacesPersistentDirLabel.setHorizontalAlignment(JLabel.RIGHT);

	spacesField = new JTextField("JavaSpaces");
	spacesPersistentDirField = new JTextField(File.separator + "tmp" +
						  File.separator +
						  "outriggerDir");

	spacesTypeChoice = new JComboBox();
	spacesTypeChoice.addItem("Transient");
	spacesTypeChoice.addItem("FrontEnd");

        panel.add( new JLabel(" "));	
        panel.add( new JLabel(" "));	
	panel.add(spacesLabel);
	panel.add(spacesField);
	panel.add(spacesTypeLabel);
	panel.add(spacesTypeChoice);
	panel.add(spacesPersistentDirLabel);
	panel.add(spacesPersistentDirField);
        panel.add( new JLabel(" "));	
        panel.add( new JLabel(" "));	

    }//end-constructor

    public Object getSpaceType() {
	return spacesTypeChoice.getSelectedItem();
    }    
 
    public String getSpaceName() {
	return spacesField.getText();
    }

    public String getPersistentDir() {
	return spacesPersistentDirField.getText();
    }
}//end-class


