/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JTabbedPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.event.WindowListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.GridLayout;
import java.awt.Font;

public class StartService extends JPanel {

    static public String rootDir = null;

    public StartService() {


	JTabbedPane masterTabbedPane = new JTabbedPane();

	//this one works, just commenting out for testing
	//tabbedPane.setFont(new Font("Dialog", Font.BOLD, 24));

	TabbedGUI classesTabbedPanel = 
	    new TabbedGUI("Jini Jar Files",masterTabbedPane,
		"Jar To help the user run current services");
	ClassesGUI classesGUI = 
	    new ClassesGUI(classesTabbedPanel.getPanel(),"Jini Jar Files");


	TabbedGUI httpdTabbedPanel = 
	    new TabbedGUI("Web Server",masterTabbedPane,
	        "Needed for code downloading");
	HttpdGUI httpdGUI = 
	    new HttpdGUI(httpdTabbedPanel.getPanel(),"Web Server");


	TabbedGUI policyTabbedPanel = 
	    new TabbedGUI("Policy Files",masterTabbedPane,"Needed for JDK1.2");
	PolicyGUI policyGUI = 
	    new PolicyGUI(policyTabbedPanel.getPanel(),"Policy Files");

	TabbedGUI activationTabbedPanel = 
	    new TabbedGUI("RMI Activation",masterTabbedPane,
			  "rmid");
	ActivationGUI activationGUI = 
	    new ActivationGUI(activationTabbedPanel.getPanel(),
			      "RMI Activation");

	TabbedGUI registryTabbedPanel = 
	    new TabbedGUI("Registry Services",masterTabbedPane,
			  "RMI or Lookup");
	RegistryGUI registryGUI = 
	    new RegistryGUI(registryTabbedPanel.getPanel(),
			    "Registry Services"); 

	TabbedGUI txnTabbedPanel = 
	    new TabbedGUI("Txn Manager",masterTabbedPane,"mahalo");
	TxnGUI txnGUI = new TxnGUI(txnTabbedPanel.getPanel(),"Txn Manager");


	TabbedGUI spacesTabbedPanel = 
	    new TabbedGUI("JavaSpaces",masterTabbedPane,
			  "outrigger");
	SpacesGUI spacesGUI = 
	    new SpacesGUI(spacesTabbedPanel.getPanel(),"JavaSpaces");


	TabbedGUI runitTabbedPanel = 
	    new TabbedGUI("Run It All!",masterTabbedPane,
			  "Start Selected Services");
	RunitGUI runitGUI = 
	    new RunitGUI(runitTabbedPanel.getPanel(),"Run It All!",
			 classesGUI,httpdGUI,activationGUI,
			 registryGUI,policyGUI,txnGUI,spacesGUI);


	//   TabbedGUI helpTabbedPanel = 
	//      new TabbedGUI("Help",masterTabbedPane,"Simple Online docs");
	//   HelpGUI helpGUI = new HelpGUI(helpTabbedPanel.getPanel(),"Help");

	registryGUI.setRunitRef( runitGUI );

	masterTabbedPane.setSelectedIndex(0);

	setLayout(new GridLayout(1, 0)); 
        add(masterTabbedPane);

    }


    public static void main(String[] args) {
	/*
	 * Create a window.  Use JFrame since this window will include 
	 * lightweight components.
	 */

	rootDir = System.getProperty
	    ("com.sun.jini.example.service.rootDir", File.separator + "files");

	JFrame frame = new JFrame("Jini(TM) Software Services Startup v1.0");

	WindowListener l = new WindowAdapter() {
	    public void windowClosing(WindowEvent e) {System.exit(0);}
	};
	frame.addWindowListener(l);

	frame.getContentPane().add("Center", new StartService());
	frame.setSize(450,280);
	frame.show();
    }
}









