/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.example.service;

import java.io.File;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;


public class TxnGUI
{
    
    JPanel     panel;
    JLabel     txnLabel,txnOptionsLabel;
    JLabel     fill1,fill2,fill3,fill4;
    JTextField txnField,txnOptionsField;
    GridLayout txnGUILayout;

    public TxnGUI( JPanel panel, String text) 
    {
	
	txnGUILayout = (new GridLayout(0, 2));
	txnGUILayout.setHgap(3);
	panel.setLayout(txnGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));


	txnLabel = new JLabel("Location of Txn LOG directory:");
	txnLabel.setHorizontalAlignment(JLabel.RIGHT);

	txnOptionsLabel = new JLabel("Txn Server Options:");
	txnOptionsLabel.setHorizontalAlignment(JLabel.RIGHT);
	
	txnField = new JTextField(File.separator + "tmp" +
				  File.separator + "txn_log");

	txnOptionsField = new JTextField();	

	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add(txnLabel);
	panel.add(txnField);
	panel.add(txnOptionsLabel);
	panel.add(txnOptionsField);
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));
	panel.add( new JLabel(" "));

    }//end-constructor
    
    public String getTxnLogDir() {
	return txnField.getText();
    }

    public String getTxnOptions() {
	return txnOptionsField.getText();
    }
}//end-class





