/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.lookup;

/**
 * Interface used by a service that does not yet have a service ID, for
 * callback from the JoinManager when a service ID is assigned.
 *
 * @deprecated This interface was experimental; as of 1.1Alpha, it has been
 *	replaced by {@link net.jini.lookup.ServiceIDListener}. This interface  
 *	was needed by <code>net.jini.lookup.JoinManager</code> . This version
 *	will be removed in a future release, so please update your code, and
 *      refer to the javadoc for <tt>net.jini.lookup.ServiceIDListener</tt>  
 *      for details on <code>ServiceIDListener</code>.
 * 
 * @see net.jini.lookup.JoinManager
 * @see net.jini.lookup.ServiceIDListener
 */
public interface ServiceIDListener extends java.util.EventListener {
    /** 
     * Called when the JoinManager gets a valid ServiceID from a lookup 
     * service.
     */
    void serviceIDNotify(net.jini.core.lookup.ServiceID serviceID);
}
