/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.mahalo;

import net.jini.core.transaction.*;
import net.jini.core.transaction.server.*;

import com.sun.jini.lease.landlord.Landlord;

import net.jini.admin.Administrable;
import com.sun.jini.admin.DestroyAdmin;
import com.sun.jini.mahout.KillVMAdmin;
import com.sun.jini.mahout.RegistryAdmin;

import java.rmi.*;

/**
 * Encapsulates the interface of an implementation of
 * a <code>TransactionManager</code>.
 *
 * @author Ken Arnold
 * @author Gary Holness
 */
public interface TxnManager extends Remote, Landlord, DestroyAdmin,
    Administrable, KillVMAdmin
{
    public static final String DEFAULT_NAME = "TransactionManager";

    /**
     * Returns a reference to the <code>TransactionManager</code>
     * interface.
     */
    TransactionManager manager() throws RemoteException;

    /**
     * Retrieves a <code>Transaction</code> given the
     * transaction's ID.
     *
     * @param id the id
     */
    Transaction getTransaction(long id)
	throws RemoteException, UnknownTransactionException;
}
