/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.mahout;

import java.io.IOException;

/**
 * Administrative interface for controlling whether or not a service will 
 * bind itself into the RMI registry and how.
 * 
 * @deprecated This interface was experimental; as of 1.1Alpha, it has 
 *	been deprecated due to the fact that support for binding to an RMI 
 *      registry will be removed in a future release. Please update your 
 *      code to use a Jini lookup service.
 * 
 */
public interface RegistryAdmin {
    /**
     * Enable binding of the service into the RMI registry. If the
     * service is persistent it should also rebind itself into
     * registry when restarted.
     * <p>
     * This method will typically spawn a separate thread to do the
     * actual work asynchronously, so a successful return from this
     * method usually does not mean the service has finished the
     * process of binding itself RMI registry, just that it will in
     * the future if an appropriate registry exists.
     * <p>
     *
     * @param name The name bind itself under
     * @param port The port to look for the registry on.
     * @exception IllegalArgumentException if name is <code>null</code>
     * @exception IllegalStateException if binding into 
     *     RMI registry has already been enabled.  */
     public void enableRegistryBinding(String name, int port) 
	throws IOException;
}
