/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * CopyrightVersion 1.1Alpha_JCP 
 */
package net.jini.core.entry;

/**
 * This class is the supertype of all entries that can be stored in a
 * Jini(TM) Lookup service.
 * <p>
 * Each field of an entry must be a public reference (object) type.
 * You cannot store primitive types in fields of an
 * <code>Entry</code>.  An <code>Entry</code> may have any number of
 * methods or constructors.  Each field is serialized separately, so
 * references between two fields of an entry will not be reconstituted
 * to be shared references, but instead to separate copies of the
 * original object.
 *
 * @see net.jini.core.lookup.ServiceRegistrar
 *
 * @author Ken Arnold
 * @author Jim Waldo
 */
public interface Entry extends java.io.Serializable {
}
